Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface ServiceType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  ServiceTypeImpl

    public interface ServiceType

extends RegistryObjectType

A representation of the model object 'Service Type'.

The following features are supported:

- `Service Binding`

See Also:
  `RimPackage.getServiceType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getServiceBinding()` Returns the value of the 'Service Binding' containment reference list.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.RegistryObjectType
`getClassification, getDescription, getExternalIdentifier, getLid, getName, getObjectType, getStatus, getVersionInfo, setDescription, setLid, setName, setObjectType, setStatus, setVersionInfo`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getServiceBinding

    org.eclipse.emf.common.util.EList getServiceBinding()

  Returns the value of the 'Service Binding' containment reference list. The list contents are of type `ServiceBindingType`.

  If the meaning of the 'Service Binding' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Binding' containment reference list.
  See Also:
    `RimPackage.getServiceType_ServiceBinding()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD